.edit-button{
    position:absolute;
    transform:translate(-50%,-50%);
    cursor:pointer;
    padding:20px;
    background-color:#43bbff;
    border:solid white 1px;
    border-radius:5px;
    left:50%;
    user-select: none;
    font-size:26px;
}

.edit-field{
    position:absolute;
    background-color:rgba(0,0,0,0.6);
    opacity:0;
    width:100%;
    border-radius:10px;
    display:inline-block;
    transition: opacity 0.5s;
    left:0;
    z-index:100;
}

#banner-edit{
    top:0px;
    height:220px;
}

#banner-edit-button{
    top:110px;
}

#info-edit{
    top:240px;
    height:380px;
}

#info-edit-button{
    top:170px;
}

#menu-edit{
    height:calc(100% - 630px);
    top:630px;
}

#menu-edit-button{
    top:250px;
}

.edit-field:hover{
    opacity:1;
}

.edit-button:active{
    background-color:rgb(87, 207, 255);
}

.edit-plate{
    position:fixed;
    z-index:5000;
    top:65px;
    left:50%;
    transform:translate(-50%,0);
    width:calc(100% - 50px);
    max-width:1160px;
    height:calc(100% - 130px);
    background-color:rgba(30,30,30,1);
    padding:25px;
    padding-top:0;
    overflow:hidden;
    font-size:20px;
    border-radius:5px;
    box-shadow:5px 5px 20px black;
}

.edit-plate form{
    overflow-y:scroll;
    overflow-x:hidden;
    width:calc(100% + 20px);
    max-height:calc(100% - 120px);
    position:relative;
    padding-bottom:20px;
    padding-left:5px;
    display:flex;
    flex-wrap: wrap;
}

.edit-plate input, .edit-plate textarea{
    background-color:rgb(50,50,50);
    border:none;
    color:white;
    padding:10px;
    margin-top:5px;
    font-size:16px;
    border-radius:5px;
}

#edit-opening-title{
    text-align:center;
}

#edit-openinghours-plate{
    width:310px;
    margin-right:25%;
}

#edit-openinghours-plate label{
    float:left;
    line-height:42px;
}

#edit_preview {
    padding: 10px 10px;
    height:25px;
    width:25px;
    background-color:rgb(50, 150, 50);
    color: white; /* Icon color */
    border-radius: 50%; /* Makes it circular */
    cursor: pointer;
    font-size: 24px; /* Adjust the icon size */
    text-align: center;
    position:absolute;
    top:30px;
    right:-20px;
}

#edit_preview:hover{
    background-color:rgb(60,200,60);
}

/* Toggle Switch Styling */
.switch {
    position: relative;
    width: 56px;
    height: 30px;
    transform:translate(250px,9px);
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    transition: 0.3s;
    border-radius: 30px;
}

.slider:before {
    position: absolute;
    content: "";
    height: 22px;
    width: 22px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    transition: 0.3s;
    border-radius: 50%;
}

.open-status{
    transform:translate(70px,-5px);
}

input:checked + .slider {
    background-color: #2196F3;
}

input:checked + .slider:before {
    transform: translateX(26px);
}


#openinghours-input{
    float:right;
}

#description{
    width:500px;
    max-width:calc(100% - 25px);
    height:130px;
}

#preview{
    max-height:150px;
    max-width:100%;
    margin-top:10px;
    margin-bottom:10px;
}

#image-upload{
    display:none;
}

#close-button{
    position:absolute;
    top:30px;
    right:30px;
    font-size:35px;
    cursor:pointer;
    color:rgb(150,150,150);
    transition: all 0.2s;
}

#close-button:hover{
    color:white;
    font-size:40px;
}

#submit-button{
    position:fixed;
    right:20px;
    bottom:20px;
    font-size:20px;
    cursor:pointer;
    background-color:rgb(50, 150, 50);
    transition: all 0.2s;
    padding:10px;
    border-radius:5px;
}

#submit-button:hover{
    background-color:rgb(60,200,60);
}

#reset-button{
    position:fixed;
    right:145px;
    bottom:20px;
    font-size:20px;
    cursor:pointer;
    background-color:rgb(50, 50, 200);
    transition: all 0.2s;
    padding:10px;
    border-radius:5px;
}

#reset-button:hover{
    background-color:rgb(60,60,250);
}

/* LOGIN PAGE */

#login-plate{
    height:calc(100vh - 203px);
    align-content: center;
    width:100%;
}

#login-form{
    background-color:rgb(25,25,25);
    position:absolute;
    top:40%;
    left:50%;
    transform:translate(-50%,-50%);
    padding:20px;
    border-radius:5px;
    box-shadow:1px 1px 10px rgb(20,20,20);
}

#login-form input{
    background-color:rgb(50,50,50);
    padding:10px;
    margin:5px;
    color:white;
    border:none;
    font-size:18px;
    border-radius:5px;
}

#login-form label{
    color:white;
    border:none;
    font-size:20px;
}

#login-form input[type="submit"]{
    color:white;
    border:none;
    font-size:20px;
    background-color:rgb(0, 175, 0);
    cursor:pointer;
}

#login-form input:hover{
    background-color:rgb(55,55,55);
}

#login-form input:focus{
    outline:none;
}

#login-form input[type="submit"]:hover{
    color:white;
    border:none;
    font-size:20px;
    background-color:rgb(0, 175, 0);
    cursor:pointer;
}

#login-form h2{
    text-align:center;
    margin-top:0;
}

#message{
    color:red;
    max-width:240px;
}

.menu-item:hover{
    cursor:pointer;
}

#menu-item-edit-window{
    position:fixed;
    top:50%;
    left:50%;
    transform:translate(-50%,-50%);
    background-color:rgba(0,0,0,0.6);
    height:100vh;
    width:100vw;
    z-index:10;
    display:none;
}

#menu-item-edit-plate{
    position:absolute;
    top:50%;
    left:50%;
    transform:translate(-50%,-50%);
    background-color:rgb(35,35,35);
    height:350px;
    width:450px;
    padding:20px;
    border-radius:10px;
}

#menu-picture-edit-plate{
    position:absolute;
    top:50%;
    left:50%;
    transform:translate(-50%,-50%);
    background-color:rgb(35,35,35);
    height:450px;
    width:550px;
    padding:20px;
    border-radius:10px;
    display:none;
}

#folder-preview{
    height:130px;
    width:130px;
    border-radius:10px;
    object-fit: cover;
    float:left;
    line-height:190px;
    text-align:center;
    box-shadow:0px 0px 1px black;
    cursor:pointer;
}

#preview-container{
    display: flex;
    flex-wrap: wrap;
    position: relative;
    gap: 10px;
    width:100%;
    float:left;
    margin-top:10px;
    height:230px;
    overflow:auto;
    border-radius:10px;
    background-color:rgb(45,45,45);
}

#edit-preview-button2{
    background-color:rgb(0,175,0);
    padding:10px;
    border-radius:5px;
    cursor:pointer;
    margin-left:10px;
    margin-bottom:10px;
}

#edit-preview-button2 span{
    font-family: "Outfit", sans-serif;
    font-weight: 500;
    font-size:20px;
}

#delete-preview-button{
    background-color:rgb(200,0,0);
    padding:10px;
    border-radius:5px;
    cursor:pointer;
    margin-left:10px;
    margin-bottom:17.5px;
}

#delete-preview-button span{
    font-family: "Outfit", sans-serif;
    font-weight: 500;
    font-size:20px;
}

#delete-preview-button2{
    background-color:rgb(200,0,0);
    padding:10px;
    border-radius:5px;
    cursor:pointer;
    position:absolute;
    bottom:12px;
    right:100px;
    margin-bottom:10px;
}

#delete-preview-button2 span{
    font-family: "Outfit", sans-serif;
    font-weight: 500;
    font-size:20px;
}

#edit-preview2{
    height:150px;
    width:150px;
    border-radius:10px;
    object-fit: cover;
    float:left;
    margin-top:0;
    line-height:190px;
    text-align:center;
}

#saveSelect{
    background-color:rgb(30,30,255);
    padding:7.5px 10px;
    border-radius:5px;
    cursor:pointer;
    font-family: "Outfit", sans-serif;
    font-weight: 500;
    font-size:20px;
    margin-left:10px;
}

#menu-item-edit-plate h2{
    margin:0;
}

#menu-item-edit-plate #close-button{
    position:absolute;
    top:20px;
    right:20px;
}

#menu-item-edit-plate input, #menu-item-edit-plate textarea{
    background-color:rgb(50,50,50);
    padding:10px;
    margin-bottom:10px;
    color:white;
    border:none;
    font-size:16px;
    border-radius:5px;
    font-family: inherit;
    float:right;
    resize: none;
}

#edit-preview{
    height:190px;
    width:190px;
    border-radius:10px;
    object-fit: cover;
    float:left;
    margin-top:20px;
    line-height:190px;
    text-align:center;
}

#menu-item-edit-plate #edit-preview-button{
    height:190px;
    width:190px;
    background-color:rgba(0,0,0,0.5);
    position:absolute;
    border-radius:10px;
    text-align:center;
    line-height:170px;
    font-size:48px;
    cursor:pointer;
    left:20px;
    top:70px;
    opacity: 0;
}

/* The overlay */
#image-overlay {
  position: absolute;
  background: rgba(100, 100, 100, 0.2);
  border: 3px solid #007aff; /* Blue border */
  box-sizing: border-box;
  display: none;
  z-index: 10;
  pointer-events: none;
  border-radius:10px;
}

/* Checkmark styling */
#image-overlay .checkmark {
  position: absolute;
  top: 8px;
  right: 8px;
  font-size: 24px;
  font-weight: bold;
  color: #007aff;
}

#menu-item-edit-plate #edit-preview-button:hover{
    opacity:1;
}

#menu-item-edit-plate label{
    color:white;
    border:none;
    font-size:16px;
}

#menu-item-edit-plate .price-unit{
    position:absolute;
    right:60px;
    top:130px;
}

#menu-item-edit-plate input[type="submit"]{
    color:white;
    border:none;
    font-size:20px;
    background-color:rgb(30,30,255);
    cursor:pointer;
    position:absolute;
    bottom:10px;
    right:20px;
    font-weight: 500;
}

#menu-item-edit-plate input[type="submit"]:hover{
    background-color:rgb(50,50,255);
}

#menu-item-edit-plate input:hover, #menu-item-edit-plate textarea:hover{
    background-color:rgb(55,55,55);
}

#menu-item-edit-plate input:focus, #menu-item-edit-plate textarea:focus{
    outline:none;
}

.menu-item h2{
    text-align:center;
    line-height:65px;
}

#add-menu-item{
    font-size:20px;
    color:white;
    background-color:rgb(0, 175, 0);
    position:absolute;
    padding:10px;
    width:20px;
    line-height:20px;
    text-align:center;
    height:20px;
    border-radius:50%;
    border:solid white 2px;
    top:40px;
    left:140px;
    cursor:pointer;
}

#category_edit_plate{
    position:fixed;
    bottom:10px;
    right:310px;
    width:60px;
    height:60px;
    background-color:rgba(5,5,5,0.6);
    backdrop-filter:blur(5px);
    box-shadow:rgba(0,0,0,0.6) 0px 5px 10px;
    border-radius:10px;
    display:none;
    overflow-y:scroll;
    transition: width 0.2s ease 0s, height 0.2s ease 0s;
    padding:5px;
}

#category_edit_button{
    position:fixed;
    bottom:10px;
    right:310px;
    width:50px;
    height:50px;
    background-color:rgba(5,5,5,0.6);
    backdrop-filter:blur(5px);
    box-shadow:rgba(0,0,0,0.6) 0px 5px 10px;
    border-radius:10px;
    cursor:pointer;
    transition:all 0.2s;
}

#category_edit_button img{
    position:absolute;
    top:7.5px;
    left:7.5px;
    height:35px;
    transition:all 0.2s;
}

#category_edit_button:hover{
    width:60px;
    height:60px;
}

#category_edit_button:hover img{
    top:5px;
    left:5px;
    height:50px;
}

#category_frame{
    background-color:rgb(25,25,25);
    border-radius:10px;
    width:100%;
    margin-bottom:10px;
    height:50px;
    position:relative;
}

#category_frame input[type="text"]{
    background-color:rgb(35,35,35);
    color:white;
    border:none;
    font-size:24px;
    position:absolute;
    transform:translate(0, -50%);
    padding:5px;
    border-radius:5px;
    top:50%;
    left:0;
    margin-left:5px;
}

#delete-category{
    background-color:rgb(200,0,0);
    padding:5px;
    border-radius:5px;
    cursor:pointer;
    position:absolute;
    transform: translate(0,-50%);
    top:50%;
    right:5px;
}

#delete-category span{
    font-family: "Outfit", sans-serif;
    font-weight: 500;
    font-size:16px;
}

#create-category{
    background-color:rgb(0,175,0);
    padding:5px;
    border-radius:5px;
    cursor:pointer;
    position:absolute;
    transform: translate(0,-50%);
    top:50%;
    right:5px;
}

#create-category span{
    font-family: "Outfit", sans-serif;
    font-weight: 500;
    font-size:16px;
}